package com.ecep.contract.controller.table.cell;

import static com.ecep.contract.SpringApp.getBean;

import com.ecep.contract.model.Company;

import com.ecep.contract.service.CompanyService;
import lombok.NoArgsConstructor;
/**
 * 公司单元格
 */
@NoArgsConstructor
public class CompanyTableCell<V> extends AsyncUpdateTableCell<V, Company> {

    public CompanyTableCell(CompanyService companyService) {
        setService(companyService);
    }

    @Override
    protected CompanyService getServiceBean() {
        return getBean(CompanyService.class);
    }
}
